SETTING = "savegame.mod.mc_creative_fly.fast_fly_speed"

value = GetFloat(SETTING)
if value == 0 then value = 25 / 100 * 300 end
rot = 5 + math.random()
if math.random() > 0.999 then rot = rot * 100 end

function draw()
	UiTranslate(UiCenter(), 150)
	
	UiFont("regular.ttf", 100)
	UiAlign("center")
	UiText("Minecraft Creative Fly")
	UiFont("regular.ttf", 40)
	UiPush()
		UiTranslate(UiGetTextSize("Minecraft Creative Fly"))
		UiColor(1, 1, 0, 1)
		UiScale(2 + math.sin(GetTime() * 5) * 0.2)
		UiRotate(10 + math.sin(GetTime() * 2) * rot)
		UiText("Settings")
	UiPop()
	
	
	UiTranslate(0, 150)
	
	UiFont("regular.ttf", 25)
	
	UiPush()
		UiAlign("center middle")
		UiText("Fast fly speed: " .. string.format("%0.2f", value / 300 * 100), true)
		UiColor(1, 1, 1, 0.25)
		UiRect(300 + 20, 30)
		UiColor(1, 1, 1, 1)
		UiTranslate(-150, 0)
		value = UiSlider("ui/common/dot.png", "x", value, 0, 300)
		if value <= 0 then value = 1 end
		
		UiTranslate(400)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		if UiTextButton("Default", 140, 35) then
			value = 25 / 100 * 300
		end	
		
	UiPop()
	
	UiTranslate(0, 100)
	UiAlign("center middle")
	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
	if UiTextButton("Close", 140, 40) then
		SetFloat(SETTING, value)
		Menu()
	end	
end