flying = false
last_jump_press = 0
now = 0
maxlen = 25

SETTING = "savegame.mod.mc_creative_fly.fast_fly_speed"

function init()
	maxlen = GetFloat(SETTING) / 300 * 100
	if maxlen == 0 then maxlen = 25 end
end

local magic = 0.16663932800293

function update()
	local vel = GetPlayerVelocity()
	if flying then
		SetPlayerVelocity(Vec(vel[1], magic, vel[3]))
		if InputDown("jump") then
			SetPlayerVelocity(Vec(vel[1], 5, vel[3]))
		end
		if InputDown("shift") then
			SetPlayerVelocity(Vec(vel[1], -5, vel[3]))
		end
		if InputDown("crouch") then
			vel = GetPlayerVelocity()
			vel[2] = magic
			
			local tf = GetPlayerTransform()
			if InputDown("up") then
				local dir = TransformToParentVec(tf, Vec(0, 0, -1))
				vel = VecAdd(vel, (VecScale(dir, maxlen)))
			end
			if InputDown("down") then
				local dir = TransformToParentVec(tf, Vec(0, 0, 1))
				vel = VecAdd(vel, (VecScale(dir, maxlen)))
			end
			if InputDown("left") then
				local dir = TransformToParentVec(tf, Vec(-1, 0, 0))
				vel = VecAdd(vel, (VecScale(dir, maxlen)))
			end
			if InputDown("right") then
				local dir = TransformToParentVec(tf, Vec(1, 0, 0))
				vel = VecAdd(vel, (VecScale(dir, maxlen)))
			end
			if InputDown("jump") then
				local dir = TransformToParentVec(tf, Vec(0, 1, 0))
				vel = VecAdd(vel, (VecScale(dir, maxlen)))
			end
			if InputDown("shift") then
				local dir = TransformToParentVec(tf, Vec(0, -1, 0))
				vel = VecAdd(vel, (VecScale(dir, maxlen)))
			end
			
			vec = VecScale(vec, 1.1)
			local len = VecLength(vel)
			if len >= maxlen then
				vel = VecScale(vel, maxlen / len)
			end
			SetPlayerVelocity(vel)
		end
		if InputReleased("crouch") then
			SetPlayerVelocity(Vec())
		end
	end
end

function tick(dt)
	now = now + dt
	if InputDown("jump") then
		local vel = GetPlayerVelocity()
		if InputPressed("jump") then
			if now - last_jump_press < 0.3 then
				flying = not flying
			end
			last_jump_press = now
		end
		if flying then
			SetPlayerVelocity(Vec(vel[1], 5, vel[3]))
		end
	elseif flying then
		local is_on_floor = QueryRaycast(GetPlayerTransform().pos, Vec(0, -1, 0), 0.15)
		if is_on_floor then
			flying = false
		end
	end
end